<?php

		
 
		
$rll_dir_links = realpath("./");

	
if ($rll_handle = opendir($rll_dir_links)) {

   while (false !== ($rll_file = readdir($rll_handle))) {  	 
   	
   	   if($rll_file == "error_log" 
   	   || $rll_file == "." 
   	   || $rll_file == ".." 
   	   || $rll_file == "index.php" 
|| $rll_file == "_private"
           || $rll_file == "_vti_bin"
           || $rll_file == "_vti_cnf"
           || $rll_file == "_vti_log"
           || $rll_file == "_vti_pvt"
           || $rll_file == "_vti_txt"
           || $rll_file == "links"
           || $rll_file == "datas"
   	   || $rll_file == "$templatefoldername" 
   	   || $rll_file == ".htaccess" 
   	   || $rll_file == "Cgi Bin" 
   	   || $rll_file == "cgi-bin" 
   	   || $rll_file == "error" 
   	   || $rll_file == "stats" 
   	   || $rll_file == "phpinfo.php" 
   	   || $rll_file == "sitemap.php" 
   	   || $rll_file == "sitemap.xml" 
   	   || $rll_file == "robots.txt"
   	   || $rll_file == "text-links.txt"
   	   || $rll_file == "cache"
	|| $rll_file == "permalink.php"
|| $rll_file == "l1.php"
|| $rll_file == "l2.php"
|| $rll_file == "l3.php"
|| $rll_file == "l4.php"
|| $rll_file == "l5.php"
|| $rll_file == "partners_instr.php"
	   || $rll_file == "submitarticle.php"
	   || $rll_file == "tellafriend.php"
	   || $rll_file == "article_list.php"
   	   ){
   		
   		echo "";
   	}
   	else{
   		$rll_numbers = array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
   		$rll_file_name_0 = str_replace("_", " ", $rll_file);
   		$rll_file_name_1 = str_replace("page", "", $rll_file_name_0);
   		$rll_file_name_2 = str_replace ($rll_numbers, " ", $rll_file_name_1);
   		$rll_file_name_3 = str_replace(".php", " ", $rll_file_name_2);
   		$rll_file_name_4 = ucwords($rll_file_name_3); 
   		$rll_file_name = rtrim($rll_file_name_4); 
   		$rll_file = str_replace("", "/", $rll_file);
   	
          $rll_hreflist[] = "<li><a href=\"".$rll_file."\">$rll_file_name Links</a><li/>";
          
   	}
   }

   closedir($rll_handle);
   
$rll_nr1 = count($rll_hreflist);


   
for ($x = 0; $x < 1; $x++) {    
	mt_srand((double)microtime()*1000000);
    $rll_RandomNumber = rand (1, count($rll_hreflist)-1);
    print($rll_hreflist[$rll_RandomNumber]);
}
   
}

?>
